[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH] Use getopt_long() instead of argp_parse() in grub-emu

From: Christian Franke
Subject: Re: [PATCH] Use getopt_long() instead of argp_parse() in grub-emu
Date: Sun, 18 Nov 2007 19:16:01 +0100
User-agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070802 SeaMonkey/1.1.4

Marco Gerards wrote:
Christian Franke <...> writes:

Will argp_parse() be a pre-requisite for building GRUB2 or will
argp-standalone be included (some other projects do) ?

Personally, I would prefer it if it could be used as an external
library.  The more we include, the more we need to care about.

Yes, but then future package maintainers will have fewer portability issues to care about :-)

If you really want argp, why is it used only for the few trivial
options of grub-emu ? The other utils still use getopt_long().
grub-emu does not benefit much from argp, but introduces another
portability issue.

It's what happened :-)

Perhaps we should consider getopt_long, for now.  It's one file to
change...  Does anyone else object?  Otherwise I'll review this patch.

I would appreciate this.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]